2019-12-06 05:47 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002459FSSCPscriptingpublic2011-06-27 08:49
Reporterm_m 
Assigned ToThe_E 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.6.13 
Summary0002459: Calling ts.createParticle with an invalid effect handle causes an Int3()
DescriptionEverything said in the title. I attached a patch that will instead show a LuaError so a script developer can hunt down that error instead of having a plain CTD.
TagsNo tags attached.
Attached Files
  • patch file icon createParticlePatch.patch (440 bytes) 2011-06-25 09:54 -
    Index: code/parse/lua.cpp
    ===================================================================
    --- code/parse/lua.cpp	(revision 7267)
    +++ code/parse/lua.cpp	(working copy)
    @@ -12221,6 +12221,11 @@
     				pi.type = PARTICLE_SMOKE2;
     				break;
     			case LE_PARTICLE_BITMAP:
    +				if (pi.optional_data < 0)
    +				{
    +					LuaError(L, "Invalid texture specified for createParticle()!");
    +				}
    +
     				pi.type = PARTICLE_BITMAP;
     				break;
     		}
    
    patch file icon createParticlePatch.patch (440 bytes) 2011-06-25 09:54 +

-Relationships
+Relationships

-Notes

~0012728

The_E (administrator)

Added to trunk in revision 7272
+Notes

-Issue History
Date Modified Username Field Change
2011-06-25 09:54 m_m New Issue
2011-06-25 09:54 m_m File Added: createParticlePatch.patch
2011-06-27 08:49 The_E Note Added: 0012728
2011-06-27 08:49 The_E Status new => resolved
2011-06-27 08:49 The_E Fixed in Version => 3.6.13
2011-06-27 08:49 The_E Resolution open => fixed
2011-06-27 08:49 The_E Assigned To => The_E
+Issue History